﻿//
// MainPage.xaml.cpp
// Implementation of the MainPage class.
//

#include "pch.h"
#include "MainPage.xaml.h"

using namespace App12;

using namespace Platform;
using namespace Windows::Foundation;
using namespace Windows::Foundation::Collections;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Controls::Primitives;
using namespace Windows::UI::Xaml::Data;
using namespace Windows::UI::Xaml::Input;
using namespace Windows::UI::Xaml::Media;
using namespace Windows::UI::Xaml::Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

MainPage::MainPage()
{
	InitializeComponent();
}

/// <summary>
/// Invoked when this page is about to be displayed in a Frame.
/// </summary>
/// <param name="e">Event data that describes how this page was reached.  The Parameter
/// property is typically used to configure the page.</param>
void MainPage::OnNavigatedTo(NavigationEventArgs^ e)
{
	(void) e;	// Unused parameter

	auto vec = ref new Platform::Collections::Vector<Person^>;
	vec->Append(ref new Person("Maria Anders","030-0074321"));
	vec->Append(ref new Person("Ana Trujillo","(5) 555-4729"));
	vec->Append(ref new Person("Antonio Moreno","(5) 555-3932"));
	vec->Append(ref new Person("Thomas Hardy","(171) 555-7788"));
	vec->Append(ref new Person("Christina Berglund","0921-12 34 56"));
	vec->Append(ref new Person("Hanna Moos","0621-08460"));

	myListView->ItemsSource = vec;
}


void App12::MainPage::Button_Click_1(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e)
{
	m_Person->Name = "Anders, Maria";
}
